var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
var cacheBaseComp = null;
class ImgInfoCtl extends CtlBase {
  constructor() {
    super("configmag", CtlBase.getServiceName(ImgInfoCtl));
  }
  async create(pobj, qobj, req) {
    pobj.company_id = req && req.xctx && req.xctx.companyid ?req.xctx.companyid : "";
    const up = await this.service.create(pobj);
    return system.getResult(up);
  }
}
module.exports = ImgInfoCtl;
